/*
* ==============================================================================
*  Name        : PluginAdapter.inl
*  Part of     : OSS Player Application
*  Interface   :
*  Description : Plugin adapter inline implementation
*  Version     : 1
*
*  Copyright (c) 2006, Nokia Corporation All rights reserved. Redistribution
*  and use in source and binary forms, with or without modification, are
*  permitted provided that the following conditions are met: Redistributions
*  of source code must retain the above copyright notice, this list of
*  conditions and the following disclaimer. Redistributions in binary form
*  must reproduce the above copyright notice, this list of conditions and the
*  following disclaimer in the documentation and/or other materials provided
*  with the distribution. Neither the name of the Nokia Corporation nor the
*  names of its contributors may be used to endorse or promote products
*  derived from this software without specific prior written permission. THIS
*  SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
*  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
*  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
*  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
*  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
*  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
*  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
*  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
*  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
*  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
*  POSSIBILITY OF SUCH DAMAGE.
* ==============================================================================
*/



// -----------------------------------------------------------------------------
// CPluginAdapter::~CPluginAdapter
// -----------------------------------------------------------------------------
//
inline CPluginAdapter::~CPluginAdapter()
	{
	REComSession::DestroyedImplementation(iDestructorIDKey);
	}

// -----------------------------------------------------------------------------
// CPluginAdapter::SetObserver
// -----------------------------------------------------------------------------
//
//inline void CPluginAdapter::SetObserver(
//	MAdapterObserver *aObserver )
//	{
//	iObserver=aObserver;
//	}

// -----------------------------------------------------------------------------
// CPluginAdapter::SetObserver
// -----------------------------------------------------------------------------
//
inline CPluginAdapter::CPluginAdapter(
	MAdapterObserver *aObserver )
	{
	iObserver=aObserver;
	}